//
//  AddBookViewController.swift
//  Books
//
//  Created by Bart Jacobs on 21/01/2021.
//

import UIKit
import CoreData

final class AddBookViewController: UIViewController {

    // MARK: - Properties
    
    @IBOutlet private var titleTextField: UITextField!
    @IBOutlet private var authorTextField: UITextField!

    // MARK: -
    
    var managedObjectContext: NSManagedObjectContext?
    
    // MARK: - Actions
    
    @IBAction func addBook(_ sender: Any) {
        guard let managedObjectContext = managedObjectContext else {
            fatalError("No Managed Object Context Available")
        }
        
        // Create Book
        let book = Book(context: managedObjectContext)
        
        // Populate Book
        book.title = titleTextField.text
        book.author = authorTextField.text
        
        do {
            // Save Book to Persistent Store
            try managedObjectContext.save()
            
            // Dismiss View Controller
            dismiss(animated: true)
        } catch {
            print("Unable to Save Book, \(error)")
        }
    }

}
